package com.jxy.marketall.service;


import com.jxy.common.core.web.Result.AjaxResult;

import com.jxy.marketall.vo.QueryVo;


/**
 * @Description 纳斯达克服务类
 * @Date 2022/5/19 17:40
 * @Author 杜懿
 */
public interface NDAQService {

    /***
     * 查询指标
     * @param queryVo
     * @return
     */
    public AjaxResult findNDAQByTime(QueryVo queryVo);

    /***
     * 查询NDAQohlc
     * @param queryVo
     * @return
     */
    public AjaxResult findOHLCByTime(QueryVo queryVo);

    /***
     * 查询NDAQma
     * @param queryVo
     * @return
     */
    public AjaxResult findMaByTime(QueryVo queryVo);

    /**
     * 以NDAQ时间线返回BTCprice和NDAQ的ohlc
     * @param vo
     * @return
     */
    public AjaxResult getNBPriceByNDAQTime(QueryVo vo);

    /**
     * 以BTCprice时间线返回BTCprice和NDAQ的ohlc
     * @param vo
     * @return
     */
    public AjaxResult getNBPriceByBTCTime(QueryVo vo);
}
